Package com.microej.wear.services

## Interface ComponentService

-     public interface ComponentService

  This service allows Features to register activities, watchfaces and complication data sources.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Activity[]` | `getActivities()` | Returns an array containing all the activities.
    `ComplicationDataSource[]` | `getComplicationDataSources()` | Returns an array containing all the complication data sources.
    `Navigator` | `getNavigator()` | Returns the navigator.
    `Watchface[]` | `getWatchfaces()` | Returns an array containing all the watchfaces.
    `void` | `registerActivity​(Activity activity)` | Registers the given activity.
    `void` | `registerComplicationDataSource​(ComplicationDataSource source)` | Registers the given complication data source.
    `void` | `registerWatchface​(Watchface watchface)` | Registers the given watchface.
    `void` | `setNavigator​(Navigator navigator)` | Sets the navigator.

- - ### Method Detail

    - #### setNavigator

          void setNavigator​(Navigator navigator)

      Sets the navigator.
      Parameters:
        `navigator` - the navigator.

    - #### registerActivity

          void registerActivity​(Activity activity)

      Registers the given activity.
      Parameters:
        `activity` - the activity to register.

    - #### registerWatchface

          void registerWatchface​(Watchface watchface)

      Registers the given watchface.
      Parameters:
        `watchface` - the watchface to register.

    - #### registerComplicationDataSource

          void registerComplicationDataSource​(ComplicationDataSource source)

      Registers the given complication data source.
      Parameters:
        `source` - the source to register.

    - #### getNavigator

          Navigator getNavigator()

      Returns the navigator.
      Returns:
        the navigator.

    - #### getActivities

          Activity[] getActivities()

      Returns an array containing all the activities.
      Returns:
        an array containing all the activities.

    - #### getWatchfaces

          Watchface[] getWatchfaces()

      Returns an array containing all the watchfaces.
      Returns:
        an array containing all the watchfaces.

    - #### getComplicationDataSources

          ComplicationDataSource[] getComplicationDataSources()

      Returns an array containing all the complication data sources.
      Returns:
        an array containing all the complication data sources.